<mat-card class="example-card">
  <mat-card-header>
    <mat-card-title>{{vote?.name}}</mat-card-title>
    <mat-card-subtitle>
      <section>{{vote?.details}}</section>
      <section [ngClass]="isBeforeDueDate() ? '':'warn'">due date: {{vote?.dueDate | date:"dd-MM-yyyy HH:mm z"}}</section>
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <table mat-table [dataSource]="dataSource" [trackBy]="trackById" matSort>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Name</th>
        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
      </ng-container>

      <!-- Voting Column -->
      <ng-container matColumnDef="voting">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <span *ngIf="isBeforeDueDate()">
             <mat-button-toggle-group #group="matButtonToggleGroup" [value]="element.result"
                                      (change)="change(element.id, $event.value)">
            <mat-button-toggle #thumbDown [value]="-1" aria-label="Text align left">
              <mat-icon [color]="thumbDown.checked ? 'warn': undefined">thumb_down</mat-icon>
            </mat-button-toggle>
            <mat-button-toggle #thumbUpDown [value]="0" aria-label="Text align center">
              <mat-icon [ngClass]="thumbUpDown.checked ? 'thumbs_up_down' : 'undefined'">thumbs_up_down</mat-icon>
            </mat-button-toggle>
            <mat-button-toggle #thumbUp [value]="1" aria-label="Text align right">
              <mat-icon [color]="thumbUp.checked ? 'primary': undefined">thumb_up</mat-icon>
            </mat-button-toggle>
          </mat-button-toggle-group>
          </span>
        </td>
      </ng-container>

    </table>
  </mat-card-content>
  <mat-card-actions>
    <button *ngIf="isBeforeDueDate()" mat-raised-button color="primary" (click)="submit()">Submit</button>
    <button *ngIf="!isBeforeDueDate()" mat-raised-button color="primary" (click)="goToResults()">Show results</button>
    <button *ngIf="amIOwner() && isBeforeDueDate()" mat-raised-button color="warn" (click)="finisVote()">Finish Vote</button>
    <button mat-raised-button color="accent" routerLink="/votes">Close</button>

  </mat-card-actions>
</mat-card>
